Subject: Re: bug#61203: guix Update failed

From: Simon Tournier <[email-masked]>
Date: Mon, 06 Feb 2023 17:14:12 +0100

Hi,

On mar., 31 janv. 2023 at 21:42, Volker Edelmann <[email-masked]> wrote:

> after installing guix I did not immediately start using it. I want to
> start using it as my main development environment this week.
> After installing guix on the root partition several weeks ago, I have
> moved /gnu to a separate partition last week. I also moved the files
> from /var/guix
> to /gnu/guix and created a symlink.
>
> volker[518]~$ df -k
> Filesystem     1K-blocks     Used Available Use% Mounted on
> dev              6111868        0   6111868   0% /dev
> /dev/sda8       96173192 29931924  61309800  33% /                   #
> Artix running
> ...
> /dev/sda6      160158792 71621680  80345172  48% /opt
> /dev/sda7      192415336 39003436 143564944  22% /gnu
> /dev/sda9       96173192 51000212  40241512  56% /mnt/Devuan
> /dev/sda10      96173192  5167096  86074628   6% /mnt/void
> tmpfs            1223760       48   1223712   1% /run/user/1000
>
> volker[519]~$ ls /gnu
> 20230130_store.tar  guix  lost+found  store
>
> volker[532]~$ ls -l /var/guix
> lrwxrwxrwx 1 root root 9 30. Jan 12:19 /var/guix -> /gnu/guix
>
> This is an experiment to find out if it is possible to share the same
> GUIX installation across multiple host OS - in my case Devuan, Artix and
> void-linux.

[...]

> ./guix/ui.scm:556:4: In procedure canonicalize-path: No such file or
> directory: "build/utils.scm"
> guix pull: error: You found a bug: the program
> '/gnu/store/7p0mra0djxqpirv5nrw55nzhjppcpzbm-compute-guix-derivation'
> failed to compute the derivation for Guix (version:
> "a3b57e57e68a1f4848bf8bacd797c5d989f56de2"; system: "x86_64-linux";
> host version: "1.3.0"; pull-version: 1).

Well, I am not sure to understand what the bug is about.  Are you
reporting an issue for sharing the store?  Or are you reporting an issue
with “guix pull” with this special configuration?

Cheers,
simon